Skip to main content
PATCH
/
api
/
v1
/
clients
/
{client_id}
Update Client
curl --request PATCH \
  --url https://staging.cutmake.ai/api/v1/clients/{client_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "country": "<string>",
  "maxAccountValue": 123,
  "currency": "<string>",
  "priceCategory": "high",
  "paymentTerms": "<string>",
  "contacts": [
    {
      "id": "<string>",
      "contactName": "<string>",
      "email": "<string>",
      "phoneNumber": "<string>",
      "countryCode": "<string>"
    }
  ]
}
'
{
  "id": "<string>",
  "name": "<string>",
  "country": "<string>",
  "maxAccountValue": 123,
  "currency": "<string>",
  "priceCategory": "high",
  "paymentTerms": "<string>",
  "contacts": [
    {
      "id": "<string>",
      "contactName": "<string>",
      "email": "<string>",
      "phoneNumber": "<string>",
      "countryCode": "<string>"
    }
  ],
  "ordersCount": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

client_id
string
required

Body

application/json

Schema for updating a client

name
string
required
country
string
required
maxAccountValue
number
required
currency
string
required
priceCategory
enum<string> | null
Available options:
high,
medium,
low
paymentTerms
string | null
contacts
ContactInfoInput · object[] | null

Response

Successful Response

Schema for client response - uses camelCase per API_STANDARDS

id
string
required
name
string
required
country
string
required
maxAccountValue
number
required
currency
string
required
priceCategory
enum<string> | null
Available options:
high,
medium,
low
paymentTerms
string | null
contacts
ContactInfoInput · object[] | null
ordersCount
integer | null